careCycle
CampaignsTransfer configs

Update transfer config

Update a transfer config

PATCH
/v2/campaigns/transfer-configs/{id}

Authorization

x-api-key
x-api-key<token>

API key required for authentication.

Keys begin with 'cc_' prefix. Get your API key from the Developer Dashboard.

In: header

Path Parameters

string

Transfer config ID

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Formatuuid

Request Body

application/json

PATCH /v2/campaigns/transfer-configs/:id Request body

TypeScript Definitions

Use the request body type in TypeScript.

string

Transfer config name

Length1 <= length
string | null

Routing config ID for inbound call routing

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Formatuuid
string
Value in"direct" | "dynamic" | "sip" | "softphone"
boolean
string | null
Lengthlength <= 20
object | null
string | null
string | null
string | null
string | null
Value in"wait-for-operator" | "immediate-summary"
string | null
Value in"appointment_booking" | "phone_number"
string | null
Lengthlength <= 20
boolean
array | null

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://api.carecycle.ai/v2/campaigns/transfer-configs/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{
  "transferConfig": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "createdAt": null,
    "updatedAt": null,
    "clientId": "5e505642-9024-474d-9434-e5a44f505cc5",
    "name": "string",
    "routingConfigId": "b6e138dd-eba1-4cd6-85c1-31882f4d70e7",
    "type": "direct",
    "warmTransfer": true,
    "directPhoneNumber": "string",
    "dynamicOptions": {
      "pingUrl": "string",
      "method": "GET",
      "timeout": 0,
      "headers": {
        "property1": "string",
        "property2": "string"
      },
      "body": {
        "property1": null,
        "property2": null
      },
      "transferNumberField": "string",
      "transferNumber": "string",
      "successConditions": [
        {
          "field": "string",
          "operator": "equals",
          "value": "string"
        }
      ]
    },
    "sipUri": "string",
    "sipHeaders": "string",
    "warmSummaryPrompt": "string",
    "warmMode": "wait-for-operator",
    "softphoneFallbackType": "appointment_booking",
    "softphoneFallbackPhoneNumber": "string",
    "appointmentBookingEnabled": true,
    "transferWaitingMessages": [
      "string"
    ]
  }
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "VALIDATION_ERROR",
  "errors": [
    {
      "path": [
        "string"
      ],
      "message": "string",
      "expected": "string",
      "received": "string",
      "code": "string"
    }
  ]
}
{
  "message": "string",
  "code": "string",
  "retryAfter": 0
}
{
  "message": "string",
  "code": "string"
}